DX Infrastructure Manager

Expand all | Collapse all

Upgrade from 9.2.0 to 20.1

Jump to Best Answer
  • 1.  Upgrade from 9.2.0 to 20.1

    Posted 13 days ago
    Edited by Generali Servicemonitoring 13 days ago
    Hello.

    I just wanted to upgrade my environment from a fresh 9.2.0 to the new 20.1 but it fails.
    Could someone help?

    Kind regards
    Jessi

    2020-03-25 06:32:53,072 WARN  probe.ProbeController:waitForResponse:245 [Thread-37]  - nametoip failed: (4) not found, Received status (4) on response (for sendRcv) for cmd = 'nametoip' name = 'automated_deployment_engine'2020-03-25 06:32:53,072 WARN  probe.ProbeController:waitForResponse:245 [Thread-37]  - nametoip failed: (4) not found, Received status (4) on response (for sendRcv) for cmd = 'nametoip' name = 'automated_deployment_engine'2020-03-25 06:32:55,573 DEBUG pds.PDSController:send:177 [Thread-37]  - Sending 'nametoip' with sid: yu..., timeout: 300002020-03-25 06:32:55,573 WARN  probe.ProbeController:waitForResponse:245 [Thread-37]  - nametoip failed: (4) not found, Received status (4) on response (for sendRcv) for cmd = 'nametoip' name = 'automated_deployment_engine'2020-03-25 06:32:58,088 DEBUG pds.PDSController:send:177 [Thread-37]  - Sending 'nametoip' with sid: yu..., timeout: 300002020-03-25 06:32:58,088 WARN  probe.ProbeController:waitForResponse:245 [Thread-37]  - nametoip failed: (4) not found, Received status (4) on response (for sendRcv) for cmd = 'nametoip' name = 'automated_deployment_engine'2020-03-25 06:33:00,588 DEBUG pds.PDSController:send:177 [Thread-37]  - Sending 'nametoip' with sid: yu..., timeout: 300002020-03-25 06:33:00,588 WARN  probe.ProbeController:waitForResponse:245 [Thread-37]  - nametoip failed: (4) not found, Received status (4) on response (for sendRcv) for cmd = 'nametoip' name = 'automated_deployment_engine'2020-03-25 06:33:03,104 ERROR probe.ProbeController:waitForResponse:256 [Thread-37]  - Failed to communicate with probe 'automated_deployment_engine' in the allotted time.2020-03-25 06:33:03,104 ERROR impl.UIMServerConfigureController:run:477 [Thread-37]  - NimException caught(6) permission denied, Failed to communicate with probe 'automated_deployment_engine' in the allotted time of 300 secs. at com.nimsoft.install.nimcommon.probe.ProbeController.waitForResponse(ProbeController.java:257) at com.nimsoft.install.uimserver.action.impl.UIMServerConfigureController.waitForProbeToRespondCommon(UIMServerConfigureController.java:3290) at com.nimsoft.install.uimserver.action.impl.UIMServerConfigureController.waitForProbeToRespondCommon(UIMServerConfigureController.java:3276) at com.nimsoft.install.uimserver.action.impl.UIMServerConfigureController.configureAde(UIMServerConfigureController.java:1423) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) at java.lang.reflect.Method.invoke(Method.java:498) at com.nimsoft.install.nimcommon.method.NimMethodCallback.invokeMethod(NimMethodCallback.java:532) at com.nimsoft.install.nimcommon.method.NimMethodCallback.invokeMethod(NimMethodCallback.java:516) at com.nimsoft.install.uimserver.action.impl.UIMServerConfigureController.doConfigure_postNMSStartupPackages(UIMServerConfigureController.java:530) at com.nimsoft.install.uimserver.action.impl.UIMServerConfigureController.doConfigure(UIMServerConfigureController.java:491) at com.nimsoft.install.uimserver.action.impl.UIMServerConfigureController.run(UIMServerConfigureController.java:475) at java.lang.Thread.run(Thread.java:748)


  • 2.  RE: Upgrade from 9.2.0 to 20.1
    Best Answer

    Posted 13 days ago
    Hi

    Please check the folder used to download the install files to see if there is a uimserverpackages.zip and a uimserverpackages(1).zip. This can result in the different install version being used instead of the 20.1 version. Also check if uimserverpackages.zip didnt download/copy correctly. if so with redownload and then reinstall



  • 3.  RE: Upgrade from 9.2.0 to 20.1

    Posted 13 days ago
    Hi

    Also please check if any issue with java version was changed before upgrade .Below java version for 9.20

    Below KB with similar type error for older version for reference
    https://knowledge.broadcom.com/external/article?articleId=142013





  • 4.  RE: Upgrade from 9.2.0 to 20.1

    Posted 13 days ago
    Looks like the uimserverpackages is defect. Currently downloading it again!

    I don´t have a folder under nimsoft\jre


  • 5.  RE: Upgrade from 9.2.0 to 20.1

    Posted 13 days ago
    After downloading a corrent uimserverpakcages its working. Thank you!


  • 6.  RE: Upgrade from 9.2.0 to 20.1

    Posted 12 days ago
    Edited by Daniel Blanco 12 days ago
    Just FYI on my first 20.1 upgrade attempt I got the same issue:


    Last Line in uimserver_ia_install.log
    2020-03-26 10:32:39,902 ERROR probe.ProbeController:waitForResponse:256 [Thread-38]  - Failed to communicate with probe 'automated_deployment_engine' in the allotted time.2020-03-26 10:32:39,902 ERROR probe.ProbeController:waitForResponse:256 [Thread-38]  - Failed to communicate with probe 'automated_deployment_engine' in the allotted time.2020-03-26 10:32:39,902 ERROR impl.UIMServerConfigureController:run:477 [Thread-38]  - NimException caught(6) permission denied, Failed to communicate with probe 'automated_deployment_engine' in the allotted time of 300 secs. at com.nimsoft.install.nimcommon.probe.ProbeController.waitForResponse(ProbeController.java:257)

    Not sure why but during the un-zip of the ISO I got this:


    What are the correct file sizes?

    Primary Hub Nimsoft\jre directory:

    Okay I see that the java folder gets created when Nimsoft services are started:





  • 7.  RE: Upgrade from 9.2.0 to 20.1

    Posted 12 days ago

    "...see if there is a uimserverpackages.zip and a uimserverpackages(1).zip."

    @Franklin Ravi D'souza are your saying there's supposed to be 2 uimserverpackages.zip files in the ISO?  I only see 1 and I just re-downloaded it just now and mounted the ISO:
     ​

    ------------------------------
    Daniel Blanco
    Enterprise Tools Team Architect
    DBlanco@alphaserveit.com
    ------------------------------



  • 8.  RE: Upgrade from 9.2.0 to 20.1

    Posted 12 days ago
    No there is only one, the comment was on the chance that the installer files are going into the same folder as older revision installer files. The would result in the (1).zip file which is 20.1 and the older version getting used.

    Here are the correct file sizes:


    ------------------------------
    Support Engineer
    Broadcom
    ------------------------------



  • 9.  RE: Upgrade from 9.2.0 to 20.1

    Posted 12 days ago
    in regards to the error
    Failed to communicate with probe 'automated_deployment_engine' in the allotted time
    check out
    Article Id: 142013
    Upgrade from UIM 8.5 to 9.0.2 failed at 36%
    https://ca-broadcom.wolkenservicedesk.com/external/article?articleId=142013

    ------------------------------
    Support Engineer
    Broadcom
    ------------------------------



  • 10.  RE: Upgrade from 9.2.0 to 20.1

    Posted 11 days ago
    Edited by Daniel Blanco 11 days ago
    Thanks Dave. So on the re-download I mounted the ISO directly and ran install off of the DVD image.

    But before re-installing I cleaned up the primary Hubs nimsoft\jre folder. I previously had many older version so I opened controller probe on primary hub, Environment Tab and deleted all the JRE entries. Left the weird TNS_ADMIN = "" entry. Hit Apply, then cleared out all the old jre-versions from the nimsoft\jre directory. Afterwards re-logged in and of course all java probes were broken as expected. Deployed the latest java_jre v2.03 to primary hub and then did Nimsoft Stop/Start on service. Everything was then green.
    JRE looks like this now:

    Then re-started the installer and this time installer finished the upgrade.

    First impression: Why is the versioning not consistent? Why is it some probes are version 20.1 but the controller is version 9.30???




    ​​

    ------------------------------
    Daniel Blanco
    Enterprise Tools Team Architect
    DBlanco@alphaserveit.com
    ------------------------------